## livecd-rootfs 2.435

=== debian/changelog ===
livecd-rootfs (2.435) yakkety; urgency=medium

  * Update the ubuntu-touch hints to try installing ubuntu-system-settings
    instead of ubuntu-system-settings-online-accounts as this makes the dep
    resolver more happy on amd64/i386 systems. This should fix the current
    image build failure for yakkety i386 images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 10 Oct 2016 14:41:46 +0200

livecd-rootfs (2.434) yakkety; urgency=medium

  * Update the 00-uid-gid-fix.chroot_early hook for touch to include the new
    known good bootstrap hash values.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 30 Sep 2016 11:20:22 +0200

livecd-rootfs (2.433) yakkety; urgency=medium

  * Use the virtual kernel for the arm64 cpc images instead of generic.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Sep 2016 21:54:16 -0600

livecd-rootfs (2.432) yakkety; urgency=medium

  * Use the virtual kernel for the powerpc64 cpc images (LP: #1625368)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Sep 2016 16:55:40 -0600

livecd-rootfs (2.431) yakkety; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Temporarily change the 60-install-click.chroot script to pull in clicks for
    arm64 builds from a different location for ubuntu-touch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Sep 2016 14:27:40 -0500

livecd-rootfs (2.430) yakkety; urgency=medium

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/01-setup_user.chroot:
    - do not create "ubuntu" user for ubuntu-core anymore, the
      console-conf package will create this user now
  * live-build/ubuntu-core/hooks/02-add_user_to_groups.chroot
    - dropped

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/hooks/042-vagrant.binary: fix unmount handling
    so that the teardown is done properly /before/ we try to make an
    image from our filesystem, since otherwise /etc/resolv.conf is broken.
    LP: #1621393.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Sep 2016 15:57:27 -0700

livecd-rootfs (2.429) yakkety; urgency=medium

  * live-build/auto/build: Fix typo in netplan policy snippet.
    *brown paperbag* (LP: #1615180)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 20 Aug 2016 06:56:37 +0200

livecd-rootfs (2.428) yakkety; urgency=medium

  * live-build/auto/build: Move NetworkManager configuration to the right
    place.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Aug 2016 16:28:23 +0200

livecd-rootfs (2.427) yakkety; urgency=medium

  * live-build/auto/build: If the image pre-installs network-manager, let it
    manage all devices by default by shipping a default netplan policy.
    Installing NM on an existing system only manages wifi and wwan, to avoid
    interfering with networkd managed devices on existing server/cloud
    instances.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Aug 2016 08:39:36 +0200

livecd-rootfs (2.426) yakkety; urgency=medium

  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary
    - use echo to display the error, thanks ogra for pointing that out,
      update the string also to use the new snappy command naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2016 15:23:19 +0200

livecd-rootfs (2.425) yakkety; urgency=medium

  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary,
    500-create-xdg-wrapper.binary, 700-classic-dir.binary:
    - Correct some syntax errors in the ubuntu-core snap hooks.
    - Create a desktop entry and some mimetype associations for xdg-open in
      ubuntu-core. That way interacting with web, email and documentations 
      urls in a snap should do the right thing.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2016 12:11:19 +0200

livecd-rootfs (2.424) yakkety; urgency=medium

  * Install nplan in the ubuntu-core image.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 10:28:45 +1200

livecd-rootfs (2.423) yakkety; urgency=medium

  [ Simon Quigley ]
  * Add an image for Lubuntu Next (LXQt)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2016 13:02:01 -0700

livecd-rootfs (2.422) yakkety; urgency=medium

  * live-build/ubuntu-touch/includes.chroot/etc/lightdm/
    lightdm.conf.d/90-phablet.conf:
    - Don't have Touch greeters show a guest session. Touch isn't ready
      for non-phablet users yet nor a multi-user greeter.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 10 Aug 2016 11:06:32 -0400

livecd-rootfs (2.421) yakkety; urgency=medium

  [ Louis Zuckerman ]
  * Fixes for vagrant box builder in ubuntu-cpc LP: #1565985
    - Install virtualbox-guest-utils
    - Don't disable default synced folder
    - Don't set vm name
    - Add cloud-init config to manage /etc/hosts LP: #1561250

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 Jul 2016 09:14:50 -0700

livecd-rootfs (2.420) yakkety; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Remove the ubuntu-pd project from the scripts
  * Add instead an ubuntu-touch-custom project for custom re-builds of
    ubuntu-touch 

  [ Oliver Grawert ]
  * sanitize the version number of the ubuntu-core snap
  * sanitize the version number of the kernel snap

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Jul 2016 13:59:16 +0200

livecd-rootfs (2.419) yakkety; urgency=medium

  [ Daniel Watkins ]
  * Consolidate cloud images
    - Remove .tar.gz and .tar.xz (removed in favour of the squashfs).
    - Remove the MBR-only disk image in favour of the shared GPT/MBR UEFI
      image.
    - Remove '-disk1' from bootable image names.

  [ Phil Roche ]
  * Removed HWCLOCKACCESS=no from /etc/default/rcS (LP: #1581044)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jun 2016 16:21:08 -0700

livecd-rootfs (2.418) yakkety; urgency=medium

  * Ubuntu-MATE now does follow Recommends; adjust the configuration for it
    to not pass --no-install-recommends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 22 Jun 2016 13:42:37 -0400

livecd-rootfs (2.417) yakkety; urgency=medium


