## livecd-rootfs 2.435.3

=== debian/changelog ===
livecd-rootfs (2.435.3) yakkety; urgency=medium

  * live-build/ubuntu-cpc/hooks/999-extras.binary: Exit on first failure.
    (LP: #1687752)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 09 May 2017 13:49:48 -0700

livecd-rootfs (2.435.2) yakkety; urgency=medium

  [ Chris Glass ]
  * Fix the manifest generation in OVA files so that ovf files don't have
    double extensions.  (LP: #1627931)
  * Fix the OVF's metadata to include Ubuntu specific identifiers and
    descriptions instead of the generic Linux ones.  (LP: #1656293)
  [ Daniel Watkins ]
  * Add replace_grub_root_with_label function thereby consolidating multiple
    uses of the same calls to sed.

 -- Robert C Jennings <robert.jennings@ubuntu.com>  Fri, 17 Mar 2017 13:46:47 -0500

livecd-rootfs (2.435.1) yakkety; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Remove redundant copy of grub files. (LP: #1637290)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 17 Nov 2016 16:13:28 -0500
