## livecd-rootfs 2.441

=== debian/changelog ===
livecd-rootfs (2.441) zesty; urgency=medium

  [ Balint Reczey ]
  * Add a basic but configurable autopkgtest.

  [ Mathieu Trudel-Lapierre ]
  * Add ubuntu-server:live for a subiquity-based server image.
  * Refactor functions out of ubuntu-cpc and ubuntu-server hooks.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 12 Apr 2017 19:37:08 -0400

livecd-rootfs (2.440) zesty; urgency=medium

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/functions: don't call sleep as part of
    umount_settle; udevadm settle is synchronous and there's no reason to
    sleep after it.
  * live-build/ubuntu-cpc/functions: umount_partition: don't call
    umount_settle for each submount; just unmount them one by one and
    settle at the end.
  * Support passing IMAGE_TARGETS in the environment, to limit which images
    are output as part of a build; particularly useful for ubuntu-cpc builds
    which output multiple image types.

  [ Nishanth Aravamudan ]
  * live-build/ubuntu-cpc/hooks/061-open-iscsi.chroot: generate iSCSI
    Initiator Name at first iscsid run for cloud images to ensure it is
    unique (LP: #1444992).

  [ Brian Murray ]
  * Fix the OVF's metadata to include Ubuntu specific identifiers and
    descriptions instead of the generic Linux ones. Thanks to Chris Glass.
    (LP: #1656293)
  * Add replace_grub_root_with_label function thereby consolidating multiple
    uses of the same calls to sed. Thanks to Dan Watkins.

  [ Adam Conrad ]
  * Set device_tree_address for the new kernel in the RPi bootloader config.txt

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Mar 2017 11:39:22 -0600

livecd-rootfs (2.439) zesty; urgency=medium

  * Fix the manifest generation in OVA files so that ovf files don't have
    double extensions.  Thanks to Chris Glass.  (LP: #1627931)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Feb 2017 13:32:59 -0800

livecd-rootfs (2.438) zesty; urgency=medium

  * live-build/auto/config: Add ubuntu-budgie project (LP: #1652144)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 22 Dec 2016 18:51:29 +0000

livecd-rootfs (2.437) zesty; urgency=medium

  * live-build/auto/config: Don't remove .pyc files any more - we don't care
    *that* much about the small space gain these days, and would prefer the
    speed win. (LP: #1627190)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Nov 2016 11:02:13 +0000

livecd-rootfs (2.436) zesty; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Remove redundant copy of grub files.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 28 Oct 2016 21:49:42 -0400
