=== debian/tests/control ===
Tests: default-bootstraps
Depends: @, lsb-release
Restrictions: needs-root
