## livecd-rootfs 2.441.10

=== debian/changelog ===
livecd-rootfs (2.441.10) zesty; urgency=medium

  * For the IMAGEFORMAT=none parts to work for ubuntu-image classic builds, we
    need to make sure IMAGEFORMAT is preserved and not overwritten if defined.
    Backporting from artful.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 21 Nov 2017 16:56:58 +0100

livecd-rootfs (2.441.9) zesty; urgency=medium

  [ Gary Wang ]
  * Add the IMAGEFORMAT=none to support generating a single rootfs
    (LP: #1730642)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 08 Nov 2017 12:32:35 +0100

livecd-rootfs (2.441.8) zesty; urgency=medium

  [ Robert C Jennings ]
  * Install udev before calls to udevadm

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Sep 2017 22:27:45 -0700

livecd-rootfs (2.441.7) zesty; urgency=medium

  * Restore the call to 'umount -R $mountpoint' from umount_partition,
    accidentally dropped in previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Sep 2017 12:48:29 -0700

livecd-rootfs (2.441.6) zesty; urgency=medium

  [ Robert C Jennings ]
  * live-build/ubuntu-cpc/functions: Add a function, teardown_mountpoint,
    to reverse the work done in setup_mountpoint.  Lack of this function
    has forced users of setup_mountpoint to implement this separately
    and the implementations have diverged. (LP: #1716992)
  * live-build/ubuntu-cpc/functions: Remove umount_settle function.
    The was only used where teardown_mountpoint was lacking.

  [ Steve Langasek ]
  * Also adjust live-build/ubuntu-server/hooks/032-installer-squashfs.binary
    to use teardown_mountpoint.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Sep 2017 12:13:10 -0700

livecd-rootfs (2.441.5) zesty; urgency=medium

  [ Colin Watson ]
  * Mount and unmount /dev recursively, to cope with setups where there are
    interesting bind-mounts under /dev (e.g. loop devices bind-mounted by
    LXD).  LP: #1716465.

  [ Balint Reczey ]
  * Fix suppression of kpartx error.  LP: #1684090.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Sep 2017 11:59:59 -0700

livecd-rootfs (2.441.4) zesty; urgency=medium

  [ Balint Reczey ]
  * wrap kpartx and trap spurious errors, to work around kpartx
    unreliability as seen in autopkgtests. (LP: #1684090)

  [ Steve Langasek ]
  * Mark autopkgtests isolation-machine since debootstrap won't work in a
    container.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Jun 2017 23:09:10 -0700

livecd-rootfs (2.441.3) zesty; urgency=medium

  * live-build/ubuntu-cpc/hooks/999-extras.binary: Exit on first failure.
    (LP: #1687752)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 09 May 2017 13:46:01 -0700

livecd-rootfs (2.441.2) zesty; urgency=medium

  * The ubuntu-server:live should use a casper-based initramfs to work
    correctly. (LP: #1682460)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 18 Apr 2017 09:56:31 -0400

livecd-rootfs (2.441.1) zesty; urgency=medium

  * Setup kernel properly for ubuntu-server:live; we *do* want to build
    kernel-generic and initrd-generic for this image. (LP: #1682460)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 13 Apr 2017 11:14:09 -0400
