## livecd-rootfs 2.478

=== debian/changelog ===
livecd-rootfs (2.478) artful; urgency=medium

  [ Michael Hudson-Doyle ]
  * Two last minute server-live fixes:
    - Seed the subiquity snap to track the stable channel (LP: #1724410)
    - Remove snap.subiquity.started from subiquity's After=/Requires= as it
      does not fix the race condition they were intended to address and causes
      subiquity to be killed when snapd refreshes subiquity (LP: #1724411)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Oct 2017 22:08:38 -0700

livecd-rootfs (2.477) artful; urgency=medium

  * Fix server live image to pull subiquity from the stable channel, not
    from edge.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Oct 2017 13:44:56 -0700

livecd-rootfs (2.476) artful; urgency=medium

  * snap.subiquity.started.service must be RemainAfterExit=yes to satisfy
    the service dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Oct 2017 09:23:52 -0400

livecd-rootfs (2.475) artful; urgency=medium

  * Add the SNAP_REEXEC=0 enviroment to the subiquity service as well.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Oct 2017 00:32:46 -0400

livecd-rootfs (2.474) artful; urgency=medium

  * Fix wrong variable name in systemd unit snippets.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Oct 2017 18:24:21 -0400

livecd-rootfs (2.473) artful; urgency=medium

  [ Balint Reczey ]
  * Clean up dangling /boot/initrd.img symlink when needed
  * Revert ignoring failure of minimized autopkgtest on ppc64el
  * Use kvm kernel only on amd64
  * Skip installing server task when building minimial images

  [ Steve Langasek ]
  * export SNAP_REEXEC=0 to our snappy systemd units in the livefs overlay,
    to work around apparmor not working reliably against aufs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Oct 2017 12:46:14 -0400

livecd-rootfs (2.472) artful; urgency=medium

  [ Michael Hudson-Doyle ]
  * Add snap.subiquity.started.service to subiquity.service's Requires=.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Oct 2017 18:41:01 -0400

livecd-rootfs (2.471) artful; urgency=medium

  * Now that grub-related diversions have been factored out in 2.466
    instead of having bogus root=stuff arg generated in grub.cfg, it is
    actually empty. Therefore update the sed command to make the arg in
    the root= token optional. This should resolve non-booting livecd cpc
    images.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Oct 2017 13:26:21 +0100

livecd-rootfs (2.470) artful; urgency=medium

  * Add initial support for preinstallation of snaps in images, and
    preinstall pulsemixer in the Ubuntu MATE image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Oct 2017 21:49:09 -0400

livecd-rootfs (2.469) artful; urgency=medium

  * Unminimization information should only go to motd when we are actually
    minimized.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Oct 2017 16:08:10 -0400

livecd-rootfs (2.468) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop obsolete fix-ups of resolv.conf, debootstrap should now result in
    correct symlink to resolved without any further fixes.

  [ Michael Hudson-Doyle ]
  * Have subiquity.service order after on a service defined by the subiquity
    snap, which in turn will order after the job that mounts the subiquity
    snap. (LP: #1721414)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Oct 2017 12:52:43 +1300

livecd-rootfs (2.467) artful; urgency=medium

  * fix remaining wrong references to /etc/default/grub.d/40-partuuid

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Oct 2017 23:52:21 -0700

livecd-rootfs (2.466) artful; urgency=medium

  * ubuntu-server: drop hard-coded test key from the subiquity overlay in
    favor of the generic-classic assertion from the store.
  * move snap assertion handling into the generic build script (and, in
    the process, from the subiquity overlay to the base squashfs).
  * add ubuntu-mate to the set of projects we add snap model assertions to.
  * Factor out grub-related diversions and use them consistently, so we
    don't end up with wrong os-probe output in our grub.cfg.
  * Fix the force-partuuid handling to create the file under
    /etc/default/grub.d/ with a .cfg extension as grub expects; it's unclear
    how this ever worked without.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Oct 2017 23:02:36 -0700

livecd-rootfs (2.465) artful; urgency=medium

  * Skip installation of kernel headers for all minimal images
  * Use the kvm kernel flavor for minimized cloud image where available,
    not virtual.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Oct 2017 10:31:20 -0700

livecd-rootfs (2.464) artful; urgency=medium

  * Ignore failure of new autopkgtest on ppc64el, where it's not a
    regression.
  * Use /bin/sh, not /bin/bash, for autopkgtest.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Oct 2017 13:39:20 -0700

livecd-rootfs (2.463) artful; urgency=medium

  [ Balint Reczey ]
  * Bump needed live-build version which can build images without initrd
  * Mention unminimize script in motd
  * Warn users that unminimize may fail reinstalling packages
  * Use SUBPROJECT=minimized name instead of SUBPROJECT=minimize for
    consistency
  * Run autopkgtest for SUBPROJECT=minimized
  * When SUBPROJECT environment variable is not set assume it to be ""

  [ Michael Hudson-Doyle ]
  * Fix path to subiquity-loadkeys 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2017 17:33:02 -0400

livecd-rootfs (2.462) artful; urgency=medium

  * Fix a reference to an undefined variable in a script that's set -u.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2017 15:10:47 -0400

livecd-rootfs (2.461) artful; urgency=medium

  * In subiquity, loadkeys to setup Shift+Tab key combination.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Sep 2017 13:58:43 -0400


