=== debian/control ===
Source: livecd-rootfs
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.6
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/livecd-rootfs/trunk

Package: livecd-rootfs
Architecture: any
Depends: ${misc:Depends},
         android-tools-fsutils [armhf],
         apt-utils,
         debootstrap,
         dosfstools,
         e2fsprogs,
         gdisk,
         genisoimage,
         germinate (>= 1.25.1),
         gnupg,
         grep-dctrl,
         kpartx,
         live-build (>= 3.0~a57-1ubuntu31~),
         lsb-release,
         lzma,
         parted,
         procps,
         python-minimal | python,
         python3-software-properties,
         qemu-utils,
         rsync,
         snapd,
         squashfs-tools (>= 1:3.3-1),
         sudo,
         ubuntu-image,
         vmdk-stream-converter [amd64 i386],
         xz-utils,
         zerofree
Suggests: partimage
Breaks: ubuntu-defaults-builder (<< 0.32)
Description: construction script for the livecd rootfs
 livecd-rootfs provides the script used to create the root filesystem
 on the livecd.
