## livecd-rootfs 2.525

=== debian/changelog ===
livecd-rootfs (2.525) bionic; urgency=medium

  * Don't fail to build CPC images if /lib/modules already exists in the
    squashfs.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 24 Apr 2018 13:00:39 -0400

livecd-rootfs (2.524) bionic; urgency=medium

  * Ensure MAAS squashfsi are clean of passwords. LP: #1764991.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Apr 2018 21:23:30 +0100

livecd-rootfs (2.523) bionic; urgency=medium

  * Allow the configuration of model assertions independent of preseeding
    snaps.
  * Allow non-generic model assertions to be configured.
  * Don't include the name of the model assertion in the path we write it out
    to (LP: #1764541).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 19 Apr 2018 11:44:38 -0400

livecd-rootfs (2.522) bionic; urgency=medium

  * Remove landscape-common from minimal image, and handle restoring it in
    unminimize script.  LP: #1763182.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Apr 2018 13:53:00 -0700

livecd-rootfs (2.521) bionic; urgency=medium

  * In subiquity image, mount additional squashfs in /media.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Apr 2018 14:20:27 +0200

livecd-rootfs (2.520) bionic; urgency=medium

  * Make lzma initramfs compression opt-in rather than opt-out, and do not
    opt-in to it for live-server builds to speed up the boot. (LP: #1750873)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Apr 2018 19:15:49 +1200

livecd-rootfs (2.519) bionic; urgency=medium

  [ Robert C Jennings ]
  * Refactor snap preseeding to allow additional snaps to be preseeded from
    hooks

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Apr 2018 15:59:33 -0700

livecd-rootfs (2.518) bionic; urgency=medium

  * Make subiquity installer boot quicker, by making dhcp interfaces
    optional, such that wait-online is not blocking bringing up the
    installer UI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 03 Apr 2018 14:56:58 +0100

livecd-rootfs (2.517) bionic; urgency=medium

  [ Simon Quigley ]
  * Add proper lubuntu support in BASE_SEED.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 03 Apr 2018 11:56:32 +0100

livecd-rootfs (2.516) bionic; urgency=medium

  [ Chris Glass ]
  * Make sure we call the build "minimal" within the cloud build info,
    when building a minimized image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Mar 2018 12:12:31 -0700

livecd-rootfs (2.515) bionic; urgency=medium

  * Set the default locale to C.UTF-8 in all server and cloud images.
   (LP: #1751051, #1759003)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 27 Mar 2018 09:59:02 +1300

livecd-rootfs (2.514) bionic; urgency=medium

  * On amd64, if building minimal images for bionic, xenial, or extra ppa,
    use kvm kernel, otherwise fallback to virtual.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Mar 2018 11:02:25 +0000

livecd-rootfs (2.513) bionic; urgency=medium

  * In the live-server build, prevent casper from mounting any existing
    swap partitions from drives we might later be installing to.
    (LP: #1743643)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Mar 2018 15:58:02 +1300

livecd-rootfs (2.512) bionic; urgency=medium

  * ubuntu-cpc: When performing a minimized build, don't generate artifacts
    that won't boot with the linux-kvm kernel (LP: #1757223).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 20 Mar 2018 13:42:50 -0400

livecd-rootfs (2.511) bionic; urgency=medium

  * Whitelist preserving "unowned" /var/log/journal. Maybe systemd package
    should own the directory, and only adjust the permissions in
    postinst. LP: #1754332

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 16 Mar 2018 18:36:56 +0000

livecd-rootfs (2.510) bionic; urgency=medium

  * Rename the directory containing the systemd override file for subiquity to
    the correct name :/
  * Add Environment=SNAP_REEXEC=0 to the above override file.
  * Remove the snap.subiquity.started overrides, that service is long gone.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 15 Mar 2018 14:09:57 +1300

livecd-rootfs (2.509) bionic; urgency=medium

  [ Steve Langasek ]
  * Properly handle loop device names when there are > 10 devices on the
    system.

  [ Dimitri John Ledkov ]
  * Build EFI armhf images.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Mar 2018 12:58:46 +0000

livecd-rootfs (2.508) bionic; urgency=medium

  * Use Ubuntu-specific branches when seeding snaps, as required in
    <https://wiki.ubuntu.com/UbuntuSeededSnaps>.
  * Add dependency on distro-info for the above.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Mar 2018 10:15:43 +0100

livecd-rootfs (2.507) bionic; urgency=medium

  * ubuntu-server: generate multi-lowerdir overlayfs for
    maas-rack-controller, and full maas. To be used in subiquity for maas
    install options.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Feb 2018 13:11:03 +0000

livecd-rootfs (2.506) bionic; urgency=medium

  * live-build-auto/{build,config}: Support fetching a file from the seed
    mirror (BASE_SEED.minimal-remove) and putting it into the livefs build as
    filesystem.manifest-minimal-remove. It's intended for ubiquity to read
    this file as a list of packages to remove when doing a 'minimal' desktop
    installation.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 Feb 2018 15:37:42 +0000

livecd-rootfs (2.505) bionic; urgency=medium

  * Move casper from filesystem.squashfs to installer.squashfs. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 23 Feb 2018 16:54:51 +1300

livecd-rootfs (2.504) bionic; urgency=medium

  * Override JobRunningTimeoutSec to 0s on the .device unit that
    subiquity_config.mount depends on to avoid a 5s delay on switching to a
    new VT when there is no device there (LP: #1750117)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Feb 2018 10:39:58 +1300


