=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Package: livecd-rootfs
 Architecture: any
 Depends: ${misc:Depends},
-         android-tools-fsutils [armhf],
          apt-utils,
          debootstrap,
+         distro-info,
          dosfstools,
          e2fsprogs,
          gdisk,
@@ -36,7 +36,6 @@
          vmdk-stream-converter [amd64 i386],
          xz-utils,
          zerofree
-Suggests: partimage
 Breaks: ubuntu-defaults-builder (<< 0.32)
 Description: construction script for the livecd rootfs
  livecd-rootfs provides the script used to create the root filesystem
