## livecd-rootfs 2.525.20

=== debian/changelog ===
livecd-rootfs (2.525.20) bionic; urgency=medium

  [ Steve Langasek ]
  * Drop /etc/update-motd.d/51-cloudguest from cloud images; this is not
    consistent with current Ubuntu Advantage product language.  Any future
    customizations to update-motd for cloud images should be done via a
    package instead.

  [ Julian Andres Klode ]
  * Minimize the number of manually installed packages in images by marking
    dependencies of metapackages as automatically installed. (LP: #1800610);
    but do not mark direct dependencies of ubiquity as auto installed. This
    caused cryptsetup to remain auto on the installed system in bionic (see
    LP #1801629)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2019 11:04:49 -0700

livecd-rootfs (2.525.19) bionic; urgency=medium

  * Make sure buildd images have a /usr/sbin/policy-rc.d symlink
    (LP: #1815251).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2019 16:03:46 +0000

livecd-rootfs (2.525.18) bionic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Changes to kernel handling for live-server: do not include kernel/initrd
    in filesystem.squashfs but rather install it in a throwaway layer on top
    of installer.squashfs and fish kernel, initrd and modules out of that with
    an initrd hook that records kernel metapackage name in /run and mounts
    /lib/modules from a squashfs on the ISO.
  * Do no install openssh-server in the base filsystem for the live server
    installer.
  * A few simple tweaks to reduce size of live servers installer.squashfs:
    - Do not run apt-get update (which can bring in package lists if we are
      unlucky wrt publisher schedules).
    - Run apt-get clean to clear out downloaded debs of curtin/casper and
      dependencies.
    - Do not install user-setup.
    - Use the core snap from the base filesystem if present.
  * Do not include curtin in the live-server installer.squashfs as the
    version of subiquity that includes it in the snap has now been released to
    stable.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Feb 2019 11:35:48 -0700

livecd-rootfs (2.525.17) bionic; urgency=medium

  * Add a buildd subproject (LP: #1815251).
  * Add a LXD image to builds for the buildd subproject.
  * Move buildd image building to binary hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2019 22:57:59 +0000

livecd-rootfs (2.525.16) bionic; urgency=medium

  * lubuntu: Select lubuntu-gtk-core task as well, so we get the HWE filter
    applied to the explicit dependencies it has on Xorg-recommended packages.
  * lubuntu: Manually install some packages that fall out due to the above.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Feb 2019 12:48:51 -0700

livecd-rootfs (2.525.15) bionic; urgency=medium

  * Forward-port HWE support from xenial, make it more generic, and enable
    it for the current LTS flavours.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Feb 2019 12:41:39 -0700

livecd-rootfs (2.525.14) bionic; urgency=medium

  * More changes for raspi3 build support (LP: #1805668):
    - Fix 100-purge-grub-legacy-ec2-arm.chroot to not gate on ARCH as that's
      not defined in .chroot hooks.
    - Use the new linux-firmware-raspi2 for boot binary blobs as
      raspi3-firmware includes upgrade hooks that conflict with our image
      configuration.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Jan 2019 16:56:58 +0100

livecd-rootfs (2.525.13) bionic; urgency=medium

  [ Balint Reczey ]
  * Update Vcs-* fields in debian/control to point to git.

  [ Łukasz 'sil2100' Zemczak ]
  * Another batch of cherry-picks for raspi3 support (LP: #1805668)
    - Add wpasupplicant to the additional packages installed for the raspi2 and
      raspi3 targets.
    - Default to IMAGEFORMAT=ubuntu-image for raspi3 ubuntu-cpc builds.
    - Link the resulting raspi3 image to a filename that cdimage expects from a
      preinstalled image build.
  * Add the 100-purge-grub-legacy-ec2-arm.chroot hook to remove
    grub-legacy-ec2 from any ARM based ubuntu-cpc images we create. The package
    is no longer in the server seed of newer series anyway.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 11 Jan 2019 14:53:10 +0100

livecd-rootfs (2.525.12) bionic; urgency=medium

  * Key netplan delegation to NetworkManager on presence of
    /usr/sbin/NetworkManager, not on /usr/lib/NetworkManager which may have
    hooks from other packages (i.e., wpasupplicant).

  [ Cody Shepherd ]
  * Include snaps in image manifests (LP: #1805497)
  * Change call to add grub efi packages using new create_manifests()
    function.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Dec 2018 12:46:46 -0800

livecd-rootfs (2.525.11) bionic; urgency=medium

  * Backport all the required changes to enable Raspberry Pi 3 armhf and arm64
    preinstalled image builds. (LP: #1805668)
    - Add support for raspi3 rootfs builds (based on Ryan Finnie's changes).
    - For ubuntu-image consumption, export the kernel and initrd to
      image/boot/uboot for raspi*.
    - Avoid issues of hard-linking to a symbolic vmlinuz as this can lead to a
      dangling symlink.
    - Add raspi3 arm64 rootfs build support.
    - Add git to the build dependencies for the gadget tree pull.
    - Minor fixes to raspi3 builds: add arm64+raspi3 to the supported model
      list, pass SUITE on to the build stage and use the git:// url for the
      gadget tree.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 29 Nov 2018 16:24:23 +0100

livecd-rootfs (2.525.10) bionic; urgency=medium

  [ Cody Shepherd ]
  * Include grub efi packages in manifests for uefi images.
    (LP: #1805190)

  [ Robert C Jennings ]
  * Disable checksum generation. (LP: #1799773)

  [Steve Langasek]
  * Fix Vcs-Bzr link.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Nov 2018 12:55:11 -0800

livecd-rootfs (2.525.9) bionic; urgency=medium

  * Ensure /lib/modules exists in root tarballs and sqashfs.

