## livecd-rootfs 2.525.29

=== debian/changelog ===
livecd-rootfs (2.525.29) bionic; urgency=medium

  * Add retry logic to snap-tool to make downloads more resilient.
    (LP: #1837871)

 -- Tobias Koch <tobias.koch@canonical.com>  Mon, 26 Aug 2019 13:41:50 +0200

livecd-rootfs (2.525.28) bionic; urgency=medium

  [ Tobias Koch ]
  * Do proper error checking when calling snap-tool info to determine
    the base of a snap. (LP: #1828500)

  [ Michael Vogt ]
  * Run "snap debug validate-seed" during preseeding to do basic validation of
    the generated seed.yaml

  [ Iain Lane ]
  * Seed core for non minimized builds, as it is still required (LP:
    #1836594).

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Jul 2019 13:20:18 +0100

livecd-rootfs (2.525.27) bionic; urgency=medium

  * Backport improvements to snap seeding from trunk.  LP: #1831675.

  [ Tobias Koch ]
  * Replace "snap download" with tool that uses snap store's coherence
    feature.
  * Detect which core snaps are required and install them on-the-fly.
  * If image has core18 snaps only, automatically preseed snapd.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jun 2019 18:46:16 +0100

livecd-rootfs (2.525.26) bionic; urgency=medium

  * Strip translation files out of the minimal images, another thing that
    goes unused when there is no human console user (and we already don't
    have the locales themselves present on a minimal image).  LP: #1829333.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 May 2019 08:54:04 -0700

livecd-rootfs (2.525.25) bionic; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: parallel builds (LP: #1829938)
    - Inject a proxy into the build providing a snapshot view of the package repo.
    - Use series files with dependency handling to generate hook symlinks dynamically

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 May 2019 15:35:35 -0700
