## livecd-rootfs 2.525.49

=== debian/changelog ===
livecd-rootfs (2.525.49) bionic; urgency=medium

  * Create additional qcow2 images for ubuntu-appliances (LP: #1906805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 11 Jan 2021 15:44:20 +0100

livecd-rootfs (2.525.48) bionic; urgency=medium

   [ John Chittum ]
   * Ensure vmtools version entered into vmdk header (LP: #1893898)

   [ Dimitri John Ledkov & Joshua Powers ]
   * amd64: always install grub-pc with shim-signed (LP: #1901906), and
     ensure to autoremove packages

   [ Patrick Viafore ]
   * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 20 Nov 2020 15:08:54 -0600

livecd-rootfs (2.525.47) bionic; urgency=medium

  * Apparently the lxd appliance needs to use a custom track (4.0) and since
    model assertions do not accept track names in required-snaps, we need to do
    this by hand during build. (LP: #1891505)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 12 Aug 2020 15:58:19 +0200

livecd-rootfs (2.525.46) bionic; urgency=medium

  [ Cody Shepherd ]
  * Add dist-upgrade to bootable-buildd hook to ensure the built image
    doesn't contain vulnerable kernels or other packages.  LP: #1891061.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2020 14:17:15 -0700

livecd-rootfs (2.525.45) bionic; urgency=medium

  [ Francis Ginther ]
  * Use the linux-raspi-hwe-18.04 kernel for raspi3 classic image builds.
    (LP: #1889188)

  [ Michael Hudson-Doyle ]
  * Backport snap seeding and other fixes for live-server ISOs. (LP: #1883156)
  * Stop building and mounting the mass-rack and maas-region squashfses for
    the server-live build as subiquity does not use them any more. 

  [ Dimitri John Ledkov ]
  * Run snap info on the downloaded snap, rather than against the
    store. First of all snap info doesn't have --channel argument, thus
    queries the wrong channel, and depening on the cohort, a different
    snap might be visible too. Thus seed the base of the snap revision we
    dowanloaded, rather than some random one from the store.
  * Use snap-tool to seed subiquity snap.
  * Subiquity: install linux-firmware in the installer layer, to make
    firmware blobs available in the live session. LP: #1847835

  [ Robert C Jennings ]
  * Fix logic to ensure snapd is seeded in core18-only images (LP: #1871919)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 22 Jul 2020 14:44:38 +1200

livecd-rootfs (2.525.44) bionic; urgency=medium

  * Add support for building uc18 appliance images (LP: #1887673).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 May 2020 18:38:54 +0200

livecd-rootfs (2.525.43) bionic; urgency=medium

  [ David Krauser ]
  * Add bootable buildd image w/ fixes (LP: #1863024)

 -- Robert C Jennings <robert.jennings@canonical.com>  Mon, 30 Mar 2020 09:39:16 -0500

livecd-rootfs (2.525.42) bionic; urgency=medium

  [ Cody Shepherd / David Krauser ]
  * Add bootable buildd image (LP: #1863024)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 27 Mar 2020 14:32:27 -0500

livecd-rootfs (2.525.41) bionic; urgency=medium

  * Use snap cli rather than custom snap-tool (LP: #1864252)
  * Address snap base regression after snap-tool removal

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 28 Feb 2020 08:29:57 -0600

livecd-rootfs (2.525.40) bionic; urgency=medium

  * Stop building per-pi-flavor images and only build a pi generic image for
    core18. (LP: #1861520)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 31 Jan 2020 16:57:01 +0100

livecd-rootfs (2.525.39) bionic; urgency=medium

  * Ensure seed partition is mounted on no-cloud images which use system-boot
    as their seed (LP: #1860046)
  * Have getty wait for cloud-init to complete to ensure that the default
    user exists before presenting a login prompt

 -- Dave Jones <dave.jones@canonical.com>  Fri, 24 Jan 2020 15:17:56 +0000

livecd-rootfs (2.525.38) bionic; urgency=medium

  * Support generating a .disk/info file via ubuntu-image from the passed-in
    datestamp parameter (using the $NOW environment variable). (LP: #1856684)
  * Switch raspi2-hwe-18.04-edge to raspi2-hwe-18.04. (LP: #1859478)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 22 Jan 2020 09:18:06 +0100

livecd-rootfs (2.525.37) bionic; urgency=medium

  * Use the raspi2-hwe-18.04-edge kernel flavour for the raspi3 images. This
    kernel is required for proper pi4 support. (LP: #1859478)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 13 Jan 2020 15:33:20 +0100

livecd-rootfs (2.525.36) bionic; urgency=medium

  * Preserve apt preferences created by any package we install (i.e.
    ubuntu-advantage-tools) against live-build's attempt to delete them.
    (LP: #1855354)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 19 Dec 2019 22:43:33 +1300

livecd-rootfs (2.525.35) bionic; urgency=medium

  * Did not expect the bionic branch being so outdated. Backport support
    for fetching core18 model assertions on bionic hosts. This enables build
    support for ubuntu-core 18 images. (LP: #1852332)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 12 Nov 2019 21:05:29 +0100

livecd-rootfs (2.525.34) bionic; urgency=medium

  * Add support for HyperV Gallery Images (LP: #1837088)

 -- David Krauser <david.krauser@canonical.com>  Wed, 05 Nov 2019 15:19:29 -0400

livecd-rootfs (2.525.33) bionic; urgency=medium

  * Add support for the 'kassel' subflavor of UC18 images. (LP: #1850674)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 30 Oct 2019 18:09:02 +0100

livecd-rootfs (2.525.32) bionic; urgency=medium

  * Fix a terrible typo in auto/build that causes all core18 builds to fail on
    this series (LP: #1849343).
  * Backport 999-ubuntu-image-customization.chroot to have a common place for
    our cloud-init datasource.  Add some modifications on top to make sure the

