## livecd-rootfs 2.525.61

=== debian/changelog ===
livecd-rootfs (2.525.61) bionic; urgency=medium

  [ Samir Akarioh ]
  * feat: Add metadata on ubuntu-oci image. (LP: #1998229)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 12 Dec 2022 15:36:15 +0530

livecd-rootfs (2.525.60) bionic; urgency=medium

  [ Michał Sawicz ]
  * ubuntu-buildd: Add arm64 buildd bootable image. (LP: #1966636)

 -- jchittum <john.chittum@canonical.com>  Fri, 29 Jul 2022 09:55:35 +1200

livecd-rootfs (2.525.59) bionic; urgency=medium

  * ubuntu-cpc: Install `shim-signed` and `grub-efi-arm64-signed` to enable
    secureboot on ARM64 images (LP: #1980358)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 30 Jun 2022 14:10:50 +0200

livecd-rootfs (2.525.58) bionic; urgency=medium

  * Split UEFI image out of `disk-image` series file into
    `disk-image-uefi`. (LP: #1961760)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 03 Mar 2022 15:59:26 +0100

livecd-rootfs (2.525.57) bionic; urgency=medium

  * Add sleep due to e2fsck error in umount_partition. LP: #1960537

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Feb 2022 15:55:55 -0800

livecd-rootfs (2.525.56) bionic; urgency=medium

  [ Jason C. McDonald ]
  * Generate manifest for HyperV desktop image. (LP: #1940136)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Oct 2021 14:42:28 +1300

livecd-rootfs (2.525.55) bionic; urgency=medium

  [ Thomas Bechtold ]
  * Remove device node files in /dev from rootfs tarball for oci project
    builds (LP: #1930686)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Jun 2021 08:02:19 +1200

livecd-rootfs (2.525.54) bionic; urgency=medium

  * Add grub config to produce console output to allow buildd vm images to
    produce console output in lxd vms (LP: #1915571)

 -- Cody Shepherd <cody.shepherd@canonical.com>  Fri, 21 May 2021 17:30:56 -0700

livecd-rootfs (2.525.53) bionic; urgency=medium

  [ Thomas Bechtold ]
  * Add a new ubuntu-oci project that contains the customizations currently
    performed downstream for the official Ubuntu images on dockerhub.
    (LP: #1926732)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 11 May 2021 11:39:46 +1200

livecd-rootfs (2.525.52) bionic; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: secure esp mountpoint (LP: #1881006)
    Change mount option for ubuntu-cpc images from "defaults" to "umask=0077"
    ESP partitions might contain sensitive data and non-root users shouldn't
    have read access on it.

 -- Robert C Jennings <robert.jennings@canonical.com>  Sat, 10 Apr 2021 05:24:43 -0500

livecd-rootfs (2.525.51) bionic; urgency=medium

  [ David Krauser ]
  * buildd: produce kernel and initrd as separate artifacts LP: #1910557
  * buildd: call update-initramfs for all installed kernels
    We only have one kernel installed, so we don't need to
    specify an explicit version. LP: #1910557

  [ Dimitri John Ledkov ]
  * esp: install grub in ubuntu bootloader id path, instead of removable.
    (LP: #1912830)
  * esp: perform fsck. (LP: #1912835)
  * Perform fsck on all rootfs. (LP: #1912835)
  * functions: stop removing systemd-detect-virt unconditionally in undivert_grub
    (LP: #1902260)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2021 00:59:37 +0000

livecd-rootfs (2.525.50) bionic; urgency=medium

  [ Cody Shepherd ]
  * Create manifests for buildd tarball images (LP: #1914445)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 05 Feb 2021 15:00:35 -0600
